be.fgov.ehealth.etee.crypto.ocsp

## Interface OCSPChecker

-     public interface OCSPChecker

  The interface of all OCSP-checkers. Implementations of this interface should be constructed using the `OCSPCheckerBuilder`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OCSPPolicy` | `getPolicy()`
    `CryptoResult<OCSPData>` | `validate(java.util.List<java.security.cert.X509Certificate> certificateChain)`
    `CryptoResult<OCSPData>` | `validate(java.util.List<java.security.cert.X509Certificate> certificateChain, java.util.Date signingTime, RevocationValues revocationValues)`
    `CryptoResult<OCSPData>` | `validate(java.security.cert.X509Certificate certificate)`
    `CryptoResult<OCSPData>` | `validate(java.security.cert.X509Certificate certificate, java.util.Date signingTime, RevocationValues revocationValues)`

- - ### Method Detail

    - #### getPolicy

          OCSPPolicy getPolicy()

      Returns:
        OCSP Policy used by the implementing OCSPChecker.

    - #### validate

          CryptoResult<OCSPData> validate(java.security.cert.X509Certificate certificate)

      Parameters:
        `certificate` - of the signer
      Returns:
        An CryptoResult containing the message (with appended OCSP Response if requested) and the actual OCSP server response.

    - #### validate

          CryptoResult<OCSPData> validate(java.security.cert.X509Certificate certificate,
                                          java.util.Date signingTime,
                                          RevocationValues revocationValues)

      Parameters:
        `certificate` - of the signer
        `signingTime` - time that the certificate in question was used for signing
        `revocationValues` - OCSPResponses and CRLs used to verify the revocation
      Returns:
        An CryptoResult containing the status of the certificate and the actual OCSP server response.

    - #### validate

          CryptoResult<OCSPData> validate(java.util.List<java.security.cert.X509Certificate> certificateChain)

      Parameters:
        `certificateChain` - of the signer
      Returns:
        An CryptoResult containing the message (with appended OCSP Response if requested) and the actual OCSP server response.

    - #### validate

          CryptoResult<OCSPData> validate(java.util.List<java.security.cert.X509Certificate> certificateChain,
                                          java.util.Date signingTime,
                                          RevocationValues revocationValues)

      Parameters:
        `certificateChain` - of the signer
        `signingTime` - time that the certificate in question was used for signing
        `revocationValues` - OCSPResponses and CRLs used to verify the revocation
      Returns:
        An CryptoResult containing the status of the certificate and the actual OCSP server response.

Copyright © 2025 eHealth. All rights reserved.